%define		plugin	check_snmp_mem
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin to check system memory via SNMP
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania poprzez SNMP wykorzystania pamięci RAM i SWAP
Name:		nagios-plugin-%{plugin}
Version:	1.1
Release:	2
License:	GPL
Group:		Networking
Source0:	http://nagios.proy.org/check_snmp_mem.pl
# Source0-md5:	f4b03cf520e6e4eab9dc6a67c88032d9
Patch0:		%{name}-path.patch
Patch1:		net-snmp-version.patch
Patch2:		noswap-critical.patch
Source1:	%{plugin}.cfg
URL:		http://nagios.proy.org/snmp_mem.html
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.654
BuildRequires:	sed >= 4.0
Requires:	nagios-core
Requires:	perl-Net-SNMP >= 5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%define		_noautoreq_perl utils

%description
Checks by SNMP RAM or SWAP memory usage (Linux/Unix, Cisco, Pix, HP
Procurve).

%description -l pl.UTF-8
Ta wtyczka sprawdza poprzez SNMP wykorzystanie pamieci RAM i SWAP w
systemach Linux/Unix, Cisco, HP Procurve.

%prep
%setup -qcT
install -p %{SOURCE0} .
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__sed} -i -e 's,@plugindir@,%{plugindir},' %{plugin}.pl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin}.pl $RPM_BUILD_ROOT%{plugindir}/%{plugin}
%{__sed} -e 's,@plugindir@,%{plugindir},' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_snmp_mem.git;a=log;h=master

* Sun Oct 19 2014 Jan Rękorajski <baggins@pld-linux.org> ae99046
- replace hackery that breaks rpm dep genarator with just a Requires
- rel 2

* Mon Sep 15 2014 Elan Ruusamäe <glen@delfi.ee> 4758379
- make it alert if swap is not configured

* Mon Sep 15 2014 Elan Ruusamäe <glen@delfi.ee> acc286c
- fix Net::SNMP version comparision on v6.0.1

* Mon Sep 15 2014 Elan Ruusamäe <glen@delfi.ee> e6d08e0
- up to 1.1, Date: Jul 09 2006

* Tue Sep 08 2009 Elan Ruusamäe <glen@pld-linux.org> 235dbd0
- restore plugin path fix; rel 4

* Tue Sep 08 2009 Elan Ruusamäe <glen@pld-linux.org> fdee5d7
- improve config; rel 3

* Sun Aug 30 2009 Elan Ruusamäe <glen@pld-linux.org> 7e11d8c
- add config; noarch; rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9e88756
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f39a8a0
- converted to UTF-8

* Wed Mar 08 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 133333f
- release 1

* Mon Mar 06 2006 Jakub Bogusz <qboosh@pld-linux.org> 2e8f696
- pl typo

* Mon Mar 06 2006 ankry <ankry@pld-linux.org> 9446427
- better pl

* Mon Mar 06 2006 Elan Ruusamäe <glen@pld-linux.org> 02d9c31
- lib64 fix

* Mon Mar 06 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 073a2da
- add patch with path to utils.pm

* Mon Mar 06 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> cda6ab1
- path to utils.pm

* Mon Mar 06 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 4449253
- init
- version 0.9

